let aud = {
  // (A) ИНИЦИАЛИЗАЦИЯ ПЛЕЕРА
  player: null,   // html <audio> элемент
  playlist: null, // html плейлист
  now: 0,         // текущая песня
  init : () => {
    // (A1) ПОЛУЧИТЬ HTML-ЭЛЕМЕНТЫ
    aud.player = document.getElementById("demoAudio");
    aud.playlist = document.querySelectorAll("#demoList .song");

    // (A2) ПРОСМОТРИТЕ ВСЕ ПЕСНИ, НАЖМИТЕ ДЛЯ ВОСПРОИЗВЕДЕНИЯ
    for (let i=0; i<aud.playlist.length; i++) {
      aud.playlist[i].onclick = () => aud.play(i);
    }

    // (A3) АВТОЗАПУСК ПРИ ДОСТАТОЧНОЙ ЗАГРУЗКЕ
    aud.player.oncanplay = aud.player.play;

    // (A4) АВТОЗАПУСК СЛЕДУЮЩЕЙ ПЕСНИ В ПЛЕЙЛИСТЕ, КОГДА ЗАКАНЧИВАЕТСЯ ТЕКУЩАЯ ПЕСНЯ
    aud.player.onended = () => {
      aud.now++;
      if (aud.now>=aud.playlist.length) { aud.now = 0; }
      aud.play(aud.now);
    };
  },

  // (B) ВОСПРОИЗВЕСТИ ВЫБРАННУЮ ПЕСНЮ
  play : id => {
    // (B1) ОБНОВЛЕНИЕ АУДИО SRC (ПУТЬ)
    aud.now = id;
    aud.player.src = "audio/" + aud.playlist[id].dataset.src;

    // (B2) НЕМНОГО КОСМЕТИКИ
    for (let i=0; i<aud.playlist.length; i++) {
      if (i==id) { aud.playlist[i].classList.add("now"); }
      else { aud.playlist[i].classList.remove("now"); }
    }
  }
};
window.addEventListener("DOMContentLoaded", aud.init);